<?php
/**
 * TemplateMela
 * @copyright  Copyright (c) TemplateMela. (http://www.templatemela.com)
 * @license    http://www.templatemela.com/license/
 * @author         TemplateMela
 * @version        Release: 1.0
 */
/**  Set Default options : Theme Settings  */
function tmpmela_set_default_options_child()
{
/*  General Settings  */
	add_option("tmpmela_logo_image", get_stylesheet_directory_uri() . "/images/megnor/logo.png"); // set logo image
	add_option("tmpmela_mob_logo_image", get_stylesheet_directory_uri() . "/images/megnor/mob-logo.png"); // set logo image
  add_option("tmpmela_button_color", "FFFFFF"); // Buttons Background Color
  add_option("tmpmela_button_text_color", "555555"); // Buttons Text Color
  add_option("tmpmela_button_hover_color", "FFD21D"); // Buttons Hover Color
  add_option("tmpmela_button_hover_text_color", "555555"); // Buttons Hover Text Color
  add_option("tmpmela_border_color","FFD21D"); // Buttons border Color
  add_option("tmpmela_hover_border_color", "FFD21D"); // Buttons border hover Color
/*  Header Settings  */	
	add_option("tmpmela_header_top_bkg_color","2D57AD"); // Header Top Background color	
	add_option("tmpmela_header_right_service_text_color","555555"); // Header Right Service Text Color	
  add_option("tmpmela_topbar_color1", "2D57AD"); // Topbar Background Color
	add_option("tmpmela_navbar_category_title_bg_color","FFFFFF"); // Header Category Title text color
/*  Topbar Settings  */ 
  add_option("tmpmela_topbar_text_color", "FFFFFF"); // Topbar Text Color
  add_option("tmpmela_topbar_link_color", "FFFFFF"); // Top Header Link Color
/* Footer Setting */
  add_option("tmpmela_footer_bkg_color","2D57AD"); // Footer Background Color
  add_option("tmpmela_footer_newsletter_bkg_color", "FFD21D"); // Footer Newsletter Background Color
  add_option("tmpmela_footer_title_color", "FFD21D"); // Footer Title Color
  add_option("tmpmela_footerlink_color", "FFFFFF"); // Footer Link Color
  add_option("tmpmela_footerhoverlink_color", "FFD21D"); // Footer Link Hover Color
/*  Navigation Menu Setting  */      
	add_option("tmpmela_sub_menu_text_color", "F00000"); // Sub Menu Text color	
  add_option("tmpmela_top_menu_text_color", "FFFFFF"); // Top Menu text color
  add_option("tmpmela_top_menu_texthover_color", "FFD21D"); // Top Menu text Hover color
  add_option("tmpmela_sub_menu_texthover_color", "FFD21D"); // Sub Menu Text Hover color
  add_option("tmpmela_sidebar_category_link_hover_color", "FFD21D"); // Category Block Link hover Color
  add_option("tmpmela_sidebar_category_child_link_hover_color", "FFD21D"); // Category Block Child Link hover Color
  add_option("tmpmela_sidebar_category_sub_child_link_hover_color", "FFD21D"); // Category Block Sub Child Link hover Color
  add_option("tmpmela_topbar_link_hover_color", "FFD21D"); // Top Header Link Hover Color
/* Content Seting */
  add_option("tmpmela_hoverlink_color", "F6D000"); // Link Hover Color
}	
add_action('init', 'tmpmela_set_default_options_child');
function tmpmela_child_styles() {
    wp_enqueue_style( 'tmpmela-child-style', get_template_directory_uri(). '/style.css' );	
}
add_action( 'wp_enqueue_scripts', 'tmpmela_child_styles' );

function tmpmela_load_scripts_child() {	
wp_enqueue_script( 'tmpmela-custom', get_stylesheet_directory_uri() . '/js/megnor/custom.js', array(), '', false);	  	
 }
add_action( 'wp_enqueue_scripts', 'tmpmela_load_scripts_child' );
/********************************************************
**************** One Click Import Data ******************
********************************************************/
if ( ! function_exists( 'sampledata_import_files' ) ) :
function sampledata_import_files() {
    return array(
		 array(
            'import_file_name'             => 'kartpul_layout3',
            'local_import_file'            => trailingslashit( get_stylesheet_directory() ) . 'demo-content/demo3/kartpul_layout3.wordpress.xml',
            'local_import_customizer_file' => trailingslashit( get_stylesheet_directory() ) . 'demo-content/demo3/kartpul_layout3_customizer_export.dat',
			'local_import_widget_file'     => trailingslashit( get_stylesheet_directory() ) . 'demo-content/demo3/kartpul_layout3_widgets_settings.wie',
            'import_notice'                => esc_html__( 'Please waiting for a few minutes, do not close the window or refresh the page until the data is imported.', 'kartpul' ),
        ),
    );
}
add_filter( 'pt-ocdi/import_files', 'sampledata_import_files' );
endif;

if ( ! function_exists( 'sampledata_after_import' ) ) :
function sampledata_after_import($selected_import) {
        //Set Menu
        $header_menu = get_term_by('name', 'MainMenu', 'nav_menu');
    $headertop_menu = get_term_by('name', 'Header Top Links', 'nav_menu');
    $top_menu = get_term_by('name', 'TopBar Menu Links', 'nav_menu');
        set_theme_mod( 'nav_menu_locations' , array( 
     'primary'   => $header_menu->term_id,
     'header-menu'   => $headertop_menu->term_id ,
     'topbar-menu'   => $top_menu->term_id
         ) 
        );
	   //Import Revolution Slider
       if ( class_exists( 'RevSlider' ) ) {
           $slider_array = array(
               get_stylesheet_directory()."/demo-content/demo3/tmpmela_homeslider_layout3.zip",
           );
 
           $slider = new RevSlider();
        
           foreach($slider_array as $filepath){
             $slider->importSliderFromPost(true,true,$filepath);  
           }
           echo esc_html__( 'Slider processed', 'kartpul' );
      }
	 
		  //Set Front page and blog page
       $page = get_page_by_title( 'Home');
       if ( isset( $page->ID ) ) {
        update_option( 'page_on_front', $page->ID );
        update_option( 'show_on_front', 'page' );
}
	   $post = get_page_by_title( 'Blog');
       if ( isset( $page->ID ) ) {
        update_option( 'page_for_posts', $post->ID );
        update_option( 'show_on_posts', 'post' );
}
}
add_action( 'pt-ocdi/after_import', 'sampledata_after_import' );
endif;
?>