<?php
/**
* TemplateMela
* @copyright  Copyright (c) TemplateMela. (http://www.templatemela.com)
* @license    http://www.templatemela.com/license/
* @author         TemplateMela
* @version        Release: 1.0
*/
/**  Set Default options : Theme Settings  */
function tmpmela_set_default_options_child()
{
/*  General Settings  */
add_option("tmpmela_logo_image", get_stylesheet_directory_uri() . "/images/megnor/logo.png"); // set logo image
add_option("tmpmela_mob_logo_image", get_stylesheet_directory_uri() . "/images/megnor/mob-logo.png"); // set logo image
add_option("tmpmela_bkg_color","FFFFFF"); // background color
add_option("tmpmela_bodyfont_color","555555"); // body font color
add_option("tmpmela_button_color","FFFFFF"); // button color
add_option("tmpmela_button_text_color","101010"); // button Text color
add_option("tmpmela_button_hover_color","DE102C"); // button hover color
add_option("tmpmela_button_hover_text_color","FFFFFF"); // button hover Text color
add_option("tmpmela_border_color","DCDCDC");//button border color
add_option("tmpmela_hover_border_color","DE102C");//button border hover color

/*  Header Settings  */
add_option("tmpmela_header_top_bkg_color","FFFFFF"); // Header Top Background color
add_option("tmpmela_header_bottom_bkg_color","DE102C"); // header bottom background color
add_option("tmpmela_header_right_service_text_color","FFFFFF"); // Header Right Service Text Color
add_option("tmpmela_header_right_service_background_color","DE102C"); // Header Right Service Text Background Color
add_option("tmpmela_navbar_category_title_bg_color","f72e4a"); // Header Category Title text color

/*  Navigation Menu Setting  */
add_option("tmpmela_top_menu_text_color","222222"); // Top Menu Text color
add_option("tmpmela_top_menu_texthover_color","DE102C"); // Top Menu Text hover color
add_option("tmpmela_sub_menu_bkg_color","FFFFFF"); // Sub Menu Background color
add_option("tmpmela_sub_menu_text_color","222222"); // Sub Menu Text color
add_option("tmpmela_sub_menu_texthover_color","DE102C"); // Sub Menu Text hover color
add_option("tmpmela_categoty_title1_text_color","FFFFFF"); // Header Category Title text color
add_option("tmpmela_sidebar_category_bg_color","FFFFFF"); // Sidebar Category Background Color
add_option("tmpmela_sidebar_category_link_color","FFFFFF"); // Sidebar Category Link Color
add_option("tmpmela_sidebar_category_link_hover_color","DE102C"); // Sidebar Category link Hover Color
add_option("tmpmela_sidebar_category_child_link_color","222222"); // Sidebar Category Child Link Color
add_option("tmpmela_sidebar_category_child_link_hover_color","DE102C"); // Sidebar Category Child link Hover Color
add_option("tmpmela_sidebar_category_sub_child_link_color","222222"); // Sidebar Category Sub Child Link Color
add_option("tmpmela_sidebar_category_sub_child_link_hover_color","DE102C"); // Sidebar Category Sub Child link Hover Color

/*  Top Bar Banner Settings  */ 
add_option("tmpmela_topbar_color1","f0f0f0"); // topbar color1
add_option("tmpmela_topbar_text_color","101010"); // TopBar Text color
add_option("tmpmela_topbar_link_color","101010"); // topbar_link_color
add_option("tmpmela_topbar_link_hover_color","DE102C"); // top bar_link_hover_color

/*  Content Settings  */
add_option("tmpmela_link_color","0c0c0c"); // link color
add_option("tmpmela_hoverlink_color","DE102C"); // link hover color

/*  Footer Settings  */
add_option("tmpmela_footer_newsletter_bkg_color", "de102c");
add_option("tmpmela_footer_bkg_color","101010"); // Footer Background color
add_option("tmpmela_footer_title_color","FFFFFF"); // Footer link text color
add_option("tmpmela_footerlink_color","808080"); // Footer link text color
add_option("tmpmela_footerhoverlink_color","de102c"); // Footer link hover text color
  }
add_action('init', 'tmpmela_set_default_options_child');

function tmpmela_child_styles() {
  wp_enqueue_style( 'tmpmela-child-style', get_template_directory_uri(). '/style.css' );
}
add_action( 'wp_enqueue_scripts', 'tmpmela_child_styles' );

function tmpmela_load_scripts_child() { 
wp_enqueue_script( 'tmpmela-custom', get_stylesheet_directory_uri() . '/js/megnor/custom.js', array(), '', true);     
}
add_action( 'wp_enqueue_scripts', 'tmpmela_load_scripts_child' );
/******************Child theme Widget*******************/
register_sidebar( array(
'name' => esc_html__( 'Home Sidebar', 'kartpul' ),
'id' => 'home-sidebar',
'description' => esc_html__( 'The Home Sidebar', 'kartpul' ),
'before_widget' => '<aside id="%1$s" class="widget %2$s">',
'after_widget' => "</aside>",
'before_title' => '<h3 class="widget-title">',
'after_title' => '</h3>',
) );
/********************************************************
**************** One Click Import Data ******************
********************************************************/

if ( ! function_exists( 'sampledata_import_files' ) ) :
function sampledata_import_files() {
return array(
    array(
'import_file_name'             => 'kartpul_layout7',
'local_import_file'            => trailingslashit( get_stylesheet_directory() ) . 'demo-content/demo7/kartpul_layout7.wordpress.xml',
'local_import_customizer_file' => trailingslashit( get_stylesheet_directory() ) . 'demo-content/demo7/kartpul_layout7_customizer_export.dat',
'local_import_widget_file'     => trailingslashit( get_stylesheet_directory() ) . 'demo-content/demo7/kartpul_layout7_widgets_settings.wie',
'import_notice'                => esc_html__( 'Please waiting for a few minutes, do not close the window or refresh the page until the data is imported.', 'kartpul' ),
),
);
}
add_filter( 'pt-ocdi/import_files', 'sampledata_import_files' );
endif;

if ( ! function_exists( 'sampledata_after_import' ) ) :
function sampledata_after_import($selected_import) {
//Set Menu
    $header_menu = get_term_by('name', 'MainMenu', 'nav_menu');
    $headertop_menu = get_term_by('name', 'Header Top Links', 'nav_menu');
    $top_menu = get_term_by('name', 'TopBar Menu Links', 'nav_menu');
        set_theme_mod( 'nav_menu_locations' , array( 
     'primary'   => $header_menu->term_id,
     'header-menu'   => $headertop_menu->term_id ,
     'topbar-menu'   => $top_menu->term_id
         ) 
        );
    
  //Import Revolution Slider
if ( class_exists( 'RevSlider' ) ) {
$slider_array = array(
get_stylesheet_directory()."/demo-content/demo7/tmpmela_homeslider_layout7.zip",
);

$slider = new RevSlider();

foreach($slider_array as $filepath){
$slider->importSliderFromPost(true,true,$filepath);
}
echo esc_html__( 'Slider processed', 'kartpul' );
}
  
    //Set Front page and blog page
$page = get_page_by_title( 'Home');
if ( isset( $page->ID ) ) {
update_option( 'page_on_front', $page->ID );
update_option( 'show_on_front', 'page' );
}
  $post = get_page_by_title( 'Blog');
if ( isset( $page->ID ) ) {
update_option( 'page_for_posts', $post->ID );
update_option( 'show_on_posts', 'post' );
}
}
add_action( 'pt-ocdi/after_import', 'sampledata_after_import' );
endif;
add_filter( 'use_widgets_block_editor', '__return_false' );
?>